## osxaudiosink osxaudiosink |

## Properties

gint | device | Read / Write

## Types and Values

struct | GstOsxAudioSink

## Description

This element renders raw audio samples using the CoreAudio api.

### Example pipelines

    1
    gst-launch-1.0 filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! audioresample ! osxaudiosink

Play an Ogg/Vorbis file.

## Synopsis

### Element Information

plugin | osxaudio
author | Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Sink/Audio

### Element Pads

## Functions

## Types and Values

### struct GstOsxAudioSink

    struct GstOsxAudioSink {
      GstAudioBaseSink sink;

      AudioDeviceID device_id;

      AudioUnit audiounit;
      double volume;

      guint channels;
    };

## Property Details

### The `“device”` property

      “device”                   gint

Device ID of output device.

Flags: Read / Write

Allowed values: >= 0

Default value: 0